> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vijil.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Add Values

> Bulk add values to a dimension.

Requires super admin permission.



## OpenAPI

````yaml /openapi/api.json post /v1/demographics/{dimension_id}/values/bulk
openapi: 3.1.0
info:
  title: Vijil Console API (Combined)
  description: Combined OpenAPI specification for all vijil-console microservices.
  version: 0.1.0
servers: []
security: []
tags:
  - name: Teams
    description: Authentication, users, and team management
  - name: Agent Environment
    description: Agent, persona, policy, and harness management
  - name: Diamond
    description: Evaluation management and report retrieval
  - name: Dome
    description: Protection, guardrails, and telemetry
  - name: Red Team
    description: Red team campaigns
paths:
  /v1/demographics/{dimension_id}/values/bulk:
    post:
      tags:
        - Agent Environment
        - demographics
      summary: Bulk Add Values
      description: |-
        Bulk add values to a dimension.

        Requires super admin permission.
      operationId: bulk_add_values_v1_demographics__dimension_id__values_bulk_post
      parameters:
        - name: dimension_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Dimension Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/src__service_agent_environment__api__dimensions__BulkValuesRequest
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DemographicValue'
                title: >-
                  Response Bulk Add Values V1 Demographics  Dimension Id  Values
                  Bulk Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    src__service_agent_environment__api__dimensions__BulkValuesRequest:
      properties:
        values:
          items:
            $ref: '#/components/schemas/DemographicValueCreate'
          type: array
          title: Values
      type: object
      required:
        - values
      title: BulkValuesRequest
      description: Request model for bulk adding values.
    DemographicValue:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        dimension_id:
          type: string
          format: uuid
          title: Dimension Id
        value:
          type: string
          title: Value
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        value_metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Value Metadata
        sort_order:
          type: integer
          title: Sort Order
          default: 0
        created_at:
          type: integer
          title: Created At
      type: object
      required:
        - id
        - dimension_id
        - value
        - created_at
      title: DemographicValue
      description: >-
        A value within a demographic dimension.


        Example: For dimension "race", values might be "White", "Black",
        "Asian", etc.

        These are used for prompt template variable substitution in bias
        testing.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DemographicValueCreate:
      properties:
        value:
          type: string
          maxLength: 255
          minLength: 1
          title: Value
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        metadata:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Metadata
        sort_order:
          type: integer
          title: Sort Order
          default: 0
      type: object
      required:
        - value
      title: DemographicValueCreate
      description: Request model for creating a demographic value.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````